import { ElementRef, QueryList, EventEmitter } from '@angular/core';
import * as GC from '@grapecity/inputman';
import { GcComponents } from './GcComponents';
declare type ComboBoxValuesType = number[] | string[] | boolean[] | object[];
declare type ComboBoxItemType = string | object;
declare type ComboBoxItemsType = string[] | object[];
export declare class GcComboBoxColumnComponent {
    name: string;
    label: string;
    width: number | string;
    isValuePath: boolean;
    visible: boolean;
    clickSort: boolean;
    contentAlignment: GC.InputMan.Alignment;
    headerAlignment: GC.InputMan.Alignment;
    showTip: boolean;
}
export declare class GcComboBoxComponent extends GcComponents<GC.InputMan.GcComboBox> {
    constructor(ref: ElementRef);
    items: Array<object>;
    selectedValue: object;
    allowDropDownResize: boolean;
    readOnly: boolean;
    autoSelect: boolean;
    selectedIndex: number;
    autoFilter: string;
    visible: boolean;
    enabled: boolean;
    showTip: boolean;
    isEditable: boolean;
    watermarkDisplayNullText: string;
    watermarkNullText: string;
    highlightText: boolean;
    exitOnEnterKey: string;
    useClipboard: boolean;
    acceptsCrlf: string;
    ellipsis: string;
    ellipsisString: string;
    exitOnLeftRightKey: string;
    editMode: string;
    checkedValues: ComboBoxValuesType;
    selectedItem: ComboBoxItemType;
    checkedItems: ComboBoxItemsType;
    checkedIndices: number[];
    showDropDownButton: boolean;
    dropDownButtonPosition: string;
    showSpinButton: boolean;
    spinButtonPosition: string;
    dropDownWidth: number;
    dropDownHeight: number;
    minPrefixLength: number;
    isMultiSelect: boolean;
    dropDownOverflow: string;
    visibleItems: number;
    itemHeight: number;
    columns: GC.InputMan.ColumnConfig[];
    showHeader: boolean;
    valueMemberPath: string;
    displayMemberPath: string;
    checkOnClick: boolean;
    itemTemplate: string | string[];
    headerTemplate: string;
    footerTemplate: string;
    spinWheel: boolean;
    emptyTemplate: string;
    load: Function;
    pageSize: number;
    virtualMode: boolean;
    generatingItem: (args: GC.InputMan.IItemGeneratingArgs) => void;
    selectTemplate: (args: GC.InputMan.ITemplateSelectArgs) => string;
    formatItem: (args: GC.InputMan.IItemArgs) => void;
    allowColumnResize: boolean;
    colHeaderHeight: number;
    container: HTMLElement;
    autoDropDown: boolean;
    dropDownButtonVisible: boolean;
    showClearButton: boolean;
    autoScale: boolean;
    minScaleFactor: number;
    selectedChanged: EventEmitter<object>;
    checkedChanged: EventEmitter<object>;
    dropDownClosed: EventEmitter<object>;
    dropDownOpened: EventEmitter<object>;
    textChanged: EventEmitter<object>;
    spinDown: EventEmitter<object>;
    spinUp: EventEmitter<object>;
    itemsChanged: EventEmitter<object>;
    itemsChange: EventEmitter<object>;
    selectedValueChange: EventEmitter<object | string | number | boolean>;
    selectedIndexChange: EventEmitter<number>;
    checkedValuesChange: EventEmitter<object>;
    selectedItemChange: EventEmitter<object | string>;
    checkedItemsChange: EventEmitter<object>;
    checkedIndicesChange: EventEmitter<object>;
    columnComponents: QueryList<GcComboBoxColumnComponent>;
    protected initGcComponent(): void;
    protected bindEvent(): void;
}
export {};
