import { EventEmitter } from '@angular/core';
import * as GC from '@grapecity/inputman';
import { GcComponents } from './GcComponents';
export declare abstract class GcInputManBaseComponent<T extends GC.InputMan.GcInputManBase> extends GcComponents<T> {
    visible: boolean;
    enabled: boolean;
    readOnly: boolean;
    exitOnLeftRightKey: GC.InputMan.ExitOnLeftRightKey;
    editMode: GC.InputMan.EditMode;
    watermarkDisplayNullText: string | null;
    watermarkNullText: string | null;
    acceptsCrlf: GC.InputMan.CrLfMode;
    useClipboard: boolean;
    exitOnEnterKey: GC.InputMan.ExitKey;
    container: HTMLElement;
    autoDropDown: boolean;
    dropDownButtonVisible: boolean;
    autoScale: boolean;
    minScaleFactor: number;
    onEditStatusChanged: EventEmitter<object>;
    onInvalidInput: EventEmitter<object>;
    onKeyExit: EventEmitter<object>;
    onTextChanged: EventEmitter<object>;
    onInput: EventEmitter<object>;
    onFocusOut: EventEmitter<object>;
    onKeyDown: EventEmitter<object>;
    onKeyUp: EventEmitter<object>;
    onSyncValueToOriginalInput: EventEmitter<object>;
    textChange: EventEmitter<string>;
    protected bindEvent(): void;
}
